/*!
 * #%L
 * chvote-bo
 * %%
 * Copyright (C) 2016 - 2019 République et Canton de Genève
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */

.step-percent {
  min-height: 20px;

  mat-progress-spinner {
    position: absolute;

  }
  mat-progress-spinner:first-child {
    opacity: 0.3;
  }

  mat-progress-spinner:last-child {
    z-index: 100;
  }

}

.step {
  display: flex;
  border-bottom: 1px dashed #cccccc;
  margin-bottom: 3px;
}

.step:last-child {
  border-bottom: 0;
  margin-bottom: 0;
}

.step-name {
  flex: 1 1 10px;
}

small-progress-spinner {
  flex: 0 0;
}

.progress-popup {
  position: absolute;
  z-index: 1;
  width: 534px;
  left: 10px;
  top: 12px;
  background-color: rgba(255, 255, 255, 0.8);
  padding: 0 20px 20px 20px;
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
}

mat-panel-description {
  flex: 0 0 60px;
}

mat-panel-description {
  color: inherit !important;
}

.mat-expansion-panel-header {
  padding-right: 0;
  height: 40px;
}

.cc {
  display: flex;
  border-left: 5px solid #cccccc;
  margin-left: 30px;
  padding-left: 10px;
  padding-bottom: 7px;
}

.cc:last-child {
  padding-bottom: 0;
}

.cc-name {
  flex: 1 1;
}
